Loading...
Searching...
No Matches
Opm::VelocityInterpolationInterface Class Referenceabstract

Abstract interface for velocity interpolation method classes. More...

`#include <VelocityInterpolation.hpp>`

Inheritance diagram for Opm::VelocityInterpolationInterface:

## Public Member Functions

virtual void | setupFluxes (const double *flux)=0
| Set up fluxes for interpolation.
virtual void | interpolate (const int cell, const double *x, double *v) const =0
| Interpolate velocity.

## Detailed Description

Abstract interface for velocity interpolation method classes.

## Member Function Documentation

## interpolate()

virtual void Opm::VelocityInterpolationInterface::interpolate | ( | const int | cell,
|  | const double * | x,
|  | double * | v ) const

pure virtual

Interpolate velocity.

Parameters

  [in] | cell | Cell in which to interpolate.
  [in] | x | Coordinates of point at which to interpolate. Must be array of length grid.dimensions.
  [out] | v | Interpolated velocity. Must be array of length grid.dimensions.

Implemented in Opm::VelocityInterpolationConstant, and Opm::VelocityInterpolationECVI.

## setupFluxes()

virtual void Opm::VelocityInterpolationInterface::setupFluxes | ( | const double * | flux | ) |

pure virtual

Set up fluxes for interpolation.

Parameters

  [in] | flux | One signed flux per face in the grid.

Implemented in Opm::VelocityInterpolationConstant, and Opm::VelocityInterpolationECVI.

The documentation for this class was generated from the following files:

- opm/grid/utility/VelocityInterpolation.hpp
- opm/grid/utility/VelocityInterpolation.cpp